GNU bug report logs - #10061
Version missmatch error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>; dated Wed, 16 Nov 2011 08:28:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 10061 <at> debbugs.gnu.org:


Received: (at 10061) by debbugs.gnu.org; 21 Nov 2011 10:17:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 05:17:36 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RSQwN-0007zi-VD
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2011 05:17:36 -0500
Received: from caiajhbdcagg.dreamhost.com ([208.97.132.66]
	helo=homiemail-a23.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gary@HIDDEN>) id 1RSQwI-0007zX-1O
	for 10061 <at> debbugs.gnu.org; Mon, 21 Nov 2011 05:17:30 -0500
Received: from homiemail-a23.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a23.g.dreamhost.com (Postfix) with ESMTP id D34664B0089;
	Mon, 21 Nov 2011 02:16:11 -0800 (PST)
Received: from [192.168.1.2] (unknown [180.183.141.105])
	(using TLSv1 with cipher AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: gary@HIDDEN)
	by homiemail-a23.g.dreamhost.com (Postfix) with ESMTPSA id 9405B4B006D; 
	Mon, 21 Nov 2011 02:16:10 -0800 (PST)
Subject: Re: bug#10061: Version missmatch error
Mime-Version: 1.0 (Apple Message framework v1251.1)
Content-Type: text/plain; charset=us-ascii
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <4EC92117.5030706@HIDDEN>
Date: Mon, 21 Nov 2011 17:16:05 +0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <7E53D740-1043-43CF-AA18-195BFE2D7C64@HIDDEN>
References: <CABo1qZSV+K-Sa441DqvOPcG5PbAk3TwfKwOj3H4vhsTyA0JiMQ@HIDDEN>
	<1DB4C859-77AC-472C-BE24-F4E1A119A375@HIDDEN>
	<4EC92117.5030706@HIDDEN>
To: Roumen Petrov <bugtrack@HIDDEN>
X-Mailer: Apple Mail (2.1251.1)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 10061
Cc: 10061 <at> debbugs.gnu.org,
	chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Hi Roumen,

On 20 Nov 2011, at 22:47, Roumen Petrov wrote:
> Gary V. Vaughan wrote:
>> On 16 Nov 2011, at 15:14, chethan krishnamurthy wrote:
>>> Myself Chethan. I was configuring kannel-sqlbox.
>>> During installation of sqlbox i am facing errors
>>>=20
>>> libtool: Version mismatch error.  This is libtool 2.4.2, but the
>>> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
>>> libtool: You should recreate aclocal.m4 with macros from libtool =
2.4.2
>>> libtool: and run autoconf again.
>>> make[2]: *** [sqlbox] Error 63
>>> make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
>>> make[1]: *** [all-recursive] Error 1
>>> make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
>>> make: *** [all] Error 2
>>>=20
>>> Kindly suggest how to resolve this conflict.
>>> Looking forward for your answer.
>>> Thank you.
>>>    =20
>> This means that the libtool script in the build directory was built
>> from release 2.4.2, likely shipped with your sqlbox package, but that
>> the m4 macros it is finding are from an earlier incompatible release
>> 2.2.6b - maybe the libtool you have installed on your build machine?
>>=20
>> It's not clear from your message whether sqlbox-0.7.2 is trying to
>> use libtool-2.4.2 and picked up the wrong macros, or libtool-2.2.6b
>> and picked up the wrong ltmain.sh.
>>  =20
> [SNIP]
> May be out of scope but after upgrade to recent libtool repository =
version "old test suite" fail with quite similar messages.
> [[---8<---8=3D---8<---]]
> Issue is resolved with double "bootstrap" but until now I'm  not able =
to figure out which is missing dependency rule .

Yes, I'm seeing this too.  But it's not the same problem at all.

I'm pretty sure that I introduced it when I converted from manual =
version number
bumps in configure.ac to using git-version-gen, which of course bumps =
the .version
file version number every time you pull, commit, or edit a file for the =
first time
in a clean tree...

The problem then, is that the tests/*demo*/*/ltversion.m4 and ltmain.sh =
are not
regenerated without a full bootstrap (thank goodness!! That takes ages, =
and I'd
hate to have to wait for it as I'm bouncing around the various branches =
in my
local libtool repo).

I wouldn't worry about it too much.  I have begun migrating the legacy =
tests to
Autotest, which is not only more pleasant to work with, but saves the =
boring wait
for all the legacy configury to be built every time we run make dist or =
distcheck,
by the time I've flushed my current patch queue, we won't have all that =
cruft to
deal with.

Cheers,
--=20
Gary V. Vaughan (gary AT gnu DOT org)=




Information forwarded to bug-libtool@HIDDEN:
bug#10061; Package libtool. Full text available.

Message received at 10061 <at> debbugs.gnu.org:


Received: (at 10061) by debbugs.gnu.org; 20 Nov 2011 15:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 10:48:54 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RS9dW-00059I-9w
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2011 10:48:54 -0500
Received: from rila.superhosting.bg ([91.196.124.212])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bugtrack@HIDDEN>) id 1RS9dQ-000596-Qc
	for 10061 <at> debbugs.gnu.org; Sun, 20 Nov 2011 10:48:50 -0500
Received: from [78.128.48.21] (helo=[192.168.0.10])
	by rila.superhosting.bg with esmtpsa (TLSv1:AES256-SHA:256)
	(Exim 4.69) (envelope-from <bugtrack@HIDDEN>)
	id 1RS9cH-004FHm-8k; Sun, 20 Nov 2011 17:47:37 +0200
Message-ID: <4EC92117.5030706@HIDDEN>
Date: Sun, 20 Nov 2011 17:47:35 +0200
From: Roumen Petrov <bugtrack@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.1.19) Gecko/20110430 SeaMonkey/2.0.14
MIME-Version: 1.0
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#10061: Version missmatch error
References: <CABo1qZSV+K-Sa441DqvOPcG5PbAk3TwfKwOj3H4vhsTyA0JiMQ@HIDDEN>
	<1DB4C859-77AC-472C-BE24-F4E1A119A375@HIDDEN>
In-Reply-To: <1DB4C859-77AC-472C-BE24-F4E1A119A375@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - rila.superhosting.bg
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - roumenpetrov.info
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: 10061
Cc: 10061 <at> debbugs.gnu.org,
	chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

Gary V. Vaughan wrote:
> hi Chethan,
>
> On 16 Nov 2011, at 15:14, chethan krishnamurthy wrote:
>    
>> Greetings,
>> Myself Chethan. I was configuring kannel-sqlbox.
>> During installation of sqlbox i am facing errors
>>
>> libtool: Version mismatch error.  This is libtool 2.4.2, but the
>> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
>> libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
>> libtool: and run autoconf again.
>> make[2]: *** [sqlbox] Error 63
>> make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
>> make: *** [all] Error 2
>>
>> Kindly suggest how to resolve this conflict.
>> Looking forward for your answer.
>> Thank you.
>>      
> This means that the libtool script in the build directory was built
> from release 2.4.2, likely shipped with your sqlbox package, but that
> the m4 macros it is finding are from an earlier incompatible release
> 2.2.6b - maybe the libtool you have installed on your build machine?
>
> It's not clear from your message whether sqlbox-0.7.2 is trying to
> use libtool-2.4.2 and picked up the wrong macros, or libtool-2.2.6b
> and picked up the wrong ltmain.sh.
>    
[SNIP]
May be out of scope but after upgrade to recent libtool repository 
version "old test suite" fail with quite similar messages.

FAIL: tests/cdemo-static-make.test (exit: 2)
============================================

cdemo-static-make.test: ===     Running cdemo-static-make.test
cdemo-static-make.test: ===     Running cdemo-static-make.test
cdemo-static-make.test: ===     Running `make ' in cdemo
/bin/ksh ./libtool --tag=CC   --mode=compile gcc 
-DPACKAGE_NAME=\"cdemo\" -DPACKAGE_TARNAME=\"cdemo\" 
-DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"cdemo\ 1.0\" 
-DPACKAGE_BUGREPORT=\"bug-libtool@HIDDEN\" -DPACKAGE_URL=\"\" 
-DPACKAGE=\"cdemo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 
-DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 
-DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
-DLT_OBJDIR=\".libs/\" -I. 
-I/usr/local/src/.work/.sources/libtool-origin/tests/cdemo  
-I/usr/local/src/.work/.sources/libtool-origin/tests/cdemo/../..   -O2 
-fno-strict-aliasing -Wall -c -o foo.lo 
/usr/local/src/.work/.sources/libtool-origin/tests/cdemo/foo.c
libtool: Version mismatch error.  This is libtool 2.4.2.115-0345, but the
libtool: definition of this LT_INIT comes from libtool 2.4.2.79-edb2a.
libtool: You should recreate aclocal.m4 with macros from libtool 
2.4.2.115-0345
libtool: and run autoconf again.
make: *** [foo.lo] Error 63


Issue is resolved with double "bootstrap" but until now I'm  not able to 
figure out which is missing dependency rule .


Roumen





Information forwarded to bug-libtool@HIDDEN:
bug#10061; Package libtool. Full text available.

Message received at 10061 <at> debbugs.gnu.org:


Received: (at 10061) by debbugs.gnu.org; 17 Nov 2011 01:21:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 20:21:51 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RQqfm-0005Av-DC
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2011 20:21:51 -0500
Received: from caiajhbdcbbj.dreamhost.com ([208.97.132.119]
	helo=homiemail-a75.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <gary@HIDDEN>) id 1RQqfj-0005Aj-UH
	for 10061 <at> debbugs.gnu.org; Wed, 16 Nov 2011 20:21:49 -0500
Received: from homiemail-a75.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a75.g.dreamhost.com (Postfix) with ESMTP id 063EB5EC07C;
	Wed, 16 Nov 2011 17:20:59 -0800 (PST)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=vaughan.pe; h=subject
	:mime-version:content-type:from:in-reply-to:date:cc
	:content-transfer-encoding:message-id:references:to; q=dns; s=
	vaughan.pe; b=NuyIlhRje+DXlo94gvgxYIkPtIO1Frze1i1GKEFw4QsfZg2nQm
	/Yp2Kv8B0Jmkd3a4HAEGtZc197eXOEM2vBTXX9EFLc5slDwiozOLWT0GhsssG7vK
	4BUTX2PnlqoMYYIUq0MvDg6UPGCAGWtsynjTxi4YdSdgxZ8grH+befdTs=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=subject
	:mime-version:content-type:from:in-reply-to:date:cc
	:content-transfer-encoding:message-id:references:to; s=
	vaughan.pe; bh=TNcfqE0jji29n7YnfEJgGJJwUs4=; b=B90P88QZNOlU0O14i
	EcF+klMPAOYi3S4Huz84OgcM+L6Po+2P2pvvO9m7MiNsIx0ZQ6T5buB50egeigVl
	SoxjIux5aL/wvQ6Y++ZUigRYy6ML7LaAxKbuw9tup7kX8Z75o1m++SjxX069LXnT
	M9UZaxxN8B3JCS1ACREGdfuZDQ=
Received: from [192.168.1.2] (unknown [180.183.141.105])
	(using TLSv1 with cipher AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: gary@HIDDEN)
	by homiemail-a75.g.dreamhost.com (Postfix) with ESMTPSA id BDAAB5EC084; 
	Wed, 16 Nov 2011 17:20:54 -0800 (PST)
Subject: Re: bug#10061: Version missmatch error
Mime-Version: 1.0 (Apple Message framework v1251.1)
Content-Type: text/plain; charset=iso-8859-1
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <CABo1qZSV+K-Sa441DqvOPcG5PbAk3TwfKwOj3H4vhsTyA0JiMQ@HIDDEN>
Date: Thu, 17 Nov 2011 08:20:47 +0700
Content-Transfer-Encoding: 7bit
Message-Id: <1DB4C859-77AC-472C-BE24-F4E1A119A375@HIDDEN>
References: <CABo1qZSV+K-Sa441DqvOPcG5PbAk3TwfKwOj3H4vhsTyA0JiMQ@HIDDEN>
To: chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>
X-Mailer: Apple Mail (2.1251.1)
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 10061
Cc: 10061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

hi Chethan,

On 16 Nov 2011, at 15:14, chethan krishnamurthy wrote:
> Greetings,
> Myself Chethan. I was configuring kannel-sqlbox.
> During installation of sqlbox i am facing errors 
> 
> libtool: Version mismatch error.  This is libtool 2.4.2, but the
> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
> libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
> libtool: and run autoconf again.
> make[2]: *** [sqlbox] Error 63
> make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
> make: *** [all] Error 2
> 
> Kindly suggest how to resolve this conflict.
> Looking forward for your answer.
> Thank you.

This means that the libtool script in the build directory was built
from release 2.4.2, likely shipped with your sqlbox package, but that
the m4 macros it is finding are from an earlier incompatible release
2.2.6b - maybe the libtool you have installed on your build machine?

It's not clear from your message whether sqlbox-0.7.2 is trying to
use libtool-2.4.2 and picked up the wrong macros, or libtool-2.2.6b
and picked up the wrong ltmain.sh.

If the macros are wrong, you need to make sure that aclocal.m4 does not
m4_include 2.2.6b versions of the libtool macros (look for
m4_include([<something>/ltversion.m4]) even a full copy of the old
ltversion.m4 file inside aclocal.m4), and make sure that you build with
the correct versions, which normally involves rerunning aclocal in the
package root directory with the correct -I option, normally pointing to
the m4 directory containing the right versions of libtool.m4 and others.

If ltmain.sh is too new, you need to replace it with one from the
same version of libtool as the macros you are using... which normally
involves rerunning libtoolize from a correctly installed libtool.

In either case, make sure you don't have multiple versions of
libtool installed (e.g. one in /usr and another in /usr/local) and
that aclocal is able to find the correct macro files.

HTH,
-- 
Gary V. Vaughan (gary AT gnu DOT org)




Information forwarded to bug-libtool@HIDDEN:
bug#10061; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2011 08:27:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 16 03:27:57 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RQaqa-0002IB-UY
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2011 03:27:57 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQaer-00021J-Rt
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2011 03:15:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQae4-0004IV-0a
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2011 03:15:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable
	version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:54913)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQae3-0004IR-VP
	for submit <at> debbugs.gnu.org; Wed, 16 Nov 2011 03:14:59 -0500
Received: from eggs.gnu.org ([140.186.70.92]:34446)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQae3-0001OT-2R
	for bug-libtool@HIDDEN; Wed, 16 Nov 2011 03:14:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQae2-0004IF-6F
	for bug-libtool@HIDDEN; Wed, 16 Nov 2011 03:14:59 -0500
Received: from mail-yw0-f41.google.com ([209.85.213.41]:46484)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krishnamurthy.chethan@HIDDEN>) id 1RQae2-0004IB-3o
	for bug-libtool@HIDDEN; Wed, 16 Nov 2011 03:14:58 -0500
Received: by ywp17 with SMTP id 17so5998124ywp.0
	for <bug-libtool@HIDDEN>; Wed, 16 Nov 2011 00:14:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=5+EBFZ0OnMV9rCCqIYztm2CCGF5tjQtMq5b4Pg9sgEY=;
	b=qK/vPoZ9i7gR0HO41Dx671cyn2Cy/DN93UOEfynAUVxCKqKq/5MD0dQM2r7u4q2JwG
	9nijtD3Mtn7mZSetLwsR/OA60CquI9nCNAlrxJKBf9huvFtYl3WFg2C0zIXJWcuvtYZp
	ETTRa+eA+dcN9gApZgPEpdZ+EamnKs7I5sTx4=
MIME-Version: 1.0
Received: by 10.101.199.39 with SMTP id b39mr1083050anq.167.1321431297420;
	Wed, 16 Nov 2011 00:14:57 -0800 (PST)
Received: by 10.150.97.18 with HTTP; Wed, 16 Nov 2011 00:14:53 -0800 (PST)
Date: Wed, 16 Nov 2011 13:44:53 +0530
Message-ID: <CABo1qZSV+K-Sa441DqvOPcG5PbAk3TwfKwOj3H4vhsTyA0JiMQ@HIDDEN>
Subject: Version missmatch error
From: chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>
To: bug-libtool@HIDDEN
Content-Type: multipart/alternative; boundary=0016e68e8cbe13ecb104b1d5b389
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 16 Nov 2011 03:27:55 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

--0016e68e8cbe13ecb104b1d5b389
Content-Type: text/plain; charset=ISO-8859-1

Greetings,
Myself Chethan. I was configuring kannel-sqlbox.
During installation of sqlbox i am facing errors

libtool: Version mismatch error.  This is libtool 2.4.2, but the
libtool: definition of this LT_INIT comes from libtool 2.2.6b.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
libtool: and run autoconf again.
make[2]: *** [sqlbox] Error 63
make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
make: *** [all] Error 2

Kindly suggest how to resolve this conflict.
Looking forward for your answer.
Thank you.

-- 
With Regards

Chethan K

9538404979

--0016e68e8cbe13ecb104b1d5b389
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Greetings,<br>Myself Chethan. I was configuring kannel-sqlbox.<br>During in=
stallation of sqlbox i am facing errors <br><br>libtool: Version mismatch e=
rror.=A0 This is libtool 2.4.2, but the<br>libtool: definition of this LT_I=
NIT comes from libtool 2.2.6b.<br>
libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2<br>l=
ibtool: and run autoconf again.<br>make[2]: *** [sqlbox] Error 63<br>make[2=
]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw&#39;<br>make[1]: *** [al=
l-recursive] Error 1<br>
make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2&#39;<br>make: *** [al=
l] Error 2<br><br>Kindly suggest how to resolve this conflict.<br>Looking f=
orward for your answer.<br>Thank you.<br clear=3D"all"><br>-- <br><span sty=
le=3D"border-collapse:separate;color:rgb(0, 0, 0);font-family:&#39;Times Ne=
w Roman&#39;;font-style:normal;font-variant:normal;font-weight:normal;lette=
r-spacing:normal;line-height:normal;text-align:-webkit-auto;text-indent:0px=
;text-transform:none;white-space:normal;word-spacing:0px;font-size:medium">=
<span style=3D"border-collapse:collapse;font-family:arial, sans-serif;font-=
size:13px">With Regards<br>
<br>Chethan K<br><br>9538404979<br></span></span><br>

--0016e68e8cbe13ecb104b1d5b389--




Acknowledgement sent to chethan krishnamurthy <krishnamurthy.chethan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#10061; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.